Package org.snpeff.stats

# Class IntStats

java.lang.Object
org.snpeff.stats.IntStats

All Implemented Interfaces:
  `Serializable`

public class IntStats extends Object implements Serializable
A simple class that does some basic statistics on integer numbers

Author:
  pcingola
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IntStats()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCount()`
`int`
`getCount(int sample)`
`int`
`getMax()`
`int`
`getMaxBins()`
`int`
`getMaxCount()`
`double`
`getMean()`
`double`
`getMedian()`
Calculate the median
`int`
`getMin()`
`int`
`getMinCount()`
`double`
`getQuantile(double quantile)`
Get value at a given quantile
`double`
`getStd()`
Calculate the standard deviation
`long`
`getSum()`
`boolean`
`isValidData()`
Do we have any data
`void`
`sample(int num)`
Use 'num' as a sample
`void`
`setMaxBins(int maxBins)`
`String`
`toString()`
`String`
`toStringCounts()`
Show a histogram as a list of numbers
`String`
`toStringHisto()`
Show a histogram as a list of numbers
`String`
`toStringPlot(String title, String xAxisLabel, boolean barChart)`
Create a histogram plot using Google charts
`String`
`toStringTab()`
`static String`
`toStringTabTitle()`
`String`
`toStringValues()`
Histogram values

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IntStats

public IntStats()

## Method Details

### toStringTabTitle

public static String toStringTabTitle()

### getCount

public int getCount()

### getCount

public int getCount(int sample)

### getMax

public int getMax()

### getMaxBins

public int getMaxBins()

### getMaxCount

public int getMaxCount()

### getMean

public double getMean()

### getMedian

public double getMedian()
Calculate the median

Returns:

### getMin

public int getMin()

### getMinCount

public int getMinCount()

### getQuantile

public double getQuantile(double quantile)
Get value at a given quantile

Parameters:
  `quantile` -
Returns:

### getStd

public double getStd()
Calculate the standard deviation

Returns:

### getSum

public long getSum()

### isValidData

public boolean isValidData()
Do we have any data

Returns:

### sample

public void sample(int num)
Use 'num' as a sample

Parameters:
  `num` -

### setMaxBins

public void setMaxBins(int maxBins)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### toStringCounts

public String toStringCounts()
Show a histogram as a list of numbers

Returns:

### toStringHisto

public String toStringHisto()
Show a histogram as a list of numbers

Returns:

### toStringPlot

public String toStringPlot(String title, String xAxisLabel, boolean barChart)
Create a histogram plot using Google charts

Returns:

### toStringTab

public String toStringTab()

### toStringValues

public String toStringValues()
Histogram values

Returns: